Retrieves an object of the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "c55b4a81-4300-40d3-aaae-8bbf96085f4e",
  "_parent_id": "f9dece7c-092e-4dc2-8247-2162fcd97155",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "605f1dff-6d94-4b5d-a14d-85d866531f54",
  "company_id": "df8db91e-67c8-4a2b-97bb-6617f7a07391",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "a6531708-cd01-47d1-b2f5-f2870354396d",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "b22aa1b7-3eb2-41b1-b961-1a2829c9f2e3",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "aba7a959-43a9-4649-a3f1-465af59b1a81",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "a27a4655-9b93-4612-bb47-a327a1ba2c68",
    "company_code": "sample string 5",
    "company": {
      "id": "4e6233a9-0f0c-4ca4-b959-36805a3768d9",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-11-21T12:53:07.5939152+00:00",
      "sales_territory_id": "819eaed6-1a5d-41b0-88e4-f4efd5b88d3e",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "c38a4179-0361-4ff0-ac34-63160b4ddff8",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "961ba650-0dc9-495b-829b-0b28c9f586a9",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "0f23e947-7bbb-47a3-b034-240d5ec8de86",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "061057ff-0e25-45ff-b29a-a9b7f7007322",
          "db_currency_id": "f04512f5-ad9c-45e5-aa01-3dfe5f1bf191",
          "db_language_id": "6c785e62-2ebb-4394-8d17-01f04c3a5a44",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-21T12:53:07.5939152+00:00"
        },
        "modified_dateutc": "2026-11-21T12:53:07.5939152+00:00"
      },
      "marketing_segment_id": "dff5a181-8cfb-4447-a47b-129e8c58372d",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "73eca91e-9d40-47ad-8336-f431b703317e",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "f09ae35f-0600-42c1-9395-aff617ea91ec",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "2a951c85-0d72-40f6-adf2-087164675840",
      "db_country_code": "sample string 28",
      "feelist_id": "b117dda7-f809-4103-bd41-ba74a32c490a",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "3093ed5f-6557-4fb2-a9b6-d2ac8ffef43c",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "3a50bf65-7dc2-40a6-bf49-c252cde9dcd2",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-11-21T12:53:07.5939152+00:00",
        "db_currency_id": "d35464c5-14de-409a-ac67-68bcba25c09f",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "33a31ae6-8139-48a0-aa67-7e96172abff7",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "6f97ac42-0af8-4e35-bd5a-1c6d0a82ccef",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "509b68fb-c477-452c-8857-9e7009ece69b",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "4a92f670-e24d-43e3-9db5-1c71e21b0b1d",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "04564c4d-b041-43b3-a150-6e2f5eab4ecf",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "cffbd47c-60e4-4897-94e8-26b2f5df4c49",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "ec1ba761-fd8b-41d1-a6d0-4be411996b06",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-11-21T12:53:07.5939152+00:00"
      },
      "company_sector_id": "75aeca3c-02c2-412e-a71c-ab8fc16f4f0a",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "25e4b3ed-24be-4ab2-a9e5-7954cb89c639",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "8fce9dd9-bdf5-4452-9ffe-f33cad09eadd",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "d520eabc-7ee5-4812-86de-7261bd383845",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "05cd0697-df13-4faf-b05a-e1d9ef86721f",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-11-21T12:53:07.5939152+00:00",
      "id2": 60
    },
    "db_language_id": "90b53dde-276e-42a8-bd1b-f402f1bbfa40",
    "db_language_code": "sample string 7",
    "db_title_id": "77699a97-69be-4da5-9671-e44ce6bd0b5d",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-11-21T12:53:07.5939152+00:00",
    "create_date": "2026-11-21T12:53:07.5939152+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-11-21T12:53:07.5939152+00:00"
  },
  "modified_dateutc": "2026-11-21T12:53:07.5939152+00:00",
  "id2": 22
}